Get Price Book Entry Adjustment
GET https://api.secure.quotivity.com/v1/pricebooks/{priceBookId}/products/{productId}/adjustmentRetrieves the adjustment for a product in a price book for a specific currency.
Send your API key in the x-api-key header. See Generating API keys.
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
priceBookId |
string | Yes | — |
productId |
string | Yes | — |
Query parameters
Section titled “Query parameters”| Name | Type | Required | Description |
|---|---|---|---|
currency |
string | Yes | — |
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
200 |
GetPriceBookEntryAdjustmentResponse | Adjustment retrieved successfully |
401 |
— | Unauthorized |
500 |
— | Internal Server Error |
Schemas
Section titled “Schemas”GetPriceBookEntryAdjustmentResponse
Section titled “GetPriceBookEntryAdjustmentResponse”| Field | Type | Required | Description |
|---|---|---|---|
adjustment |
PriceBookEntryAdjustmentWithResponseFlags | Yes | — |
OverrideAdjustment
Section titled “OverrideAdjustment”Extends PriceAdjustmentBase.
| Field | Type | Required | Description |
|---|---|---|---|
type |
override |
Yes | — |
amount |
number | Yes | — |
PercentAdjustment
Section titled “PercentAdjustment”Extends PriceAdjustmentBase.
| Field | Type | Required | Description |
|---|---|---|---|
type |
percent |
Yes | — |
amount |
number | Yes | — |
PriceAdjustmentBase
Section titled “PriceAdjustmentBase”| Field | Type | Required | Description |
|---|---|---|---|
type |
string | Yes | — |
PriceBookEntryAdjustment
Section titled “PriceBookEntryAdjustment”Type: OverrideAdjustment | PercentAdjustment | VolumeAdjustment | TableEnumAdjustment | TableRangeAdjustment | VariantAdjustment
PriceBookEntryAdjustmentWithResponseFlags
Section titled “PriceBookEntryAdjustmentWithResponseFlags”Per-currency adjustment as stored, plus allowUnitPriceEditing mirrored from the price book entry in read responses (not part of the persisted adjustment object).
Extends PriceBookEntryAdjustment.
| Field | Type | Required | Description |
|---|---|---|---|
allowUnitPriceEditing |
boolean | Yes | Entry-level flag for this product on the price book. |
TableEnumAdjustment
Section titled “TableEnumAdjustment”Extends PriceAdjustmentBase.
| Field | Type | Required | Description |
|---|---|---|---|
type |
enum |
Yes | — |
property |
string | Yes | — |
values |
object[] | Yes | — |
TableRangeAdjustment
Section titled “TableRangeAdjustment”Extends PriceAdjustmentBase.
| Field | Type | Required | Description |
|---|---|---|---|
type |
range |
Yes | — |
property |
string | Yes | — |
values |
object[] | Yes | — |
VariantAdjustment
Section titled “VariantAdjustment”Extends PriceAdjustmentBase.
| Field | Type | Required | Description |
|---|---|---|---|
type |
variant |
Yes | — |
values |
object[] | Yes | — |
VolumeAdjustment
Section titled “VolumeAdjustment”Extends PriceAdjustmentBase.
| Field | Type | Required | Description |
|---|---|---|---|
type |
volume |
Yes | — |
tiers |
object[] | Yes | — |
Ask the help center
Answers come from these guides, with links to the articles used.
Ask anything about configuring quoting in Quotivity Studio.